<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="author" content="Gruppe Pitahaya">
	<meta name="description" content="Gruppenarbeit TOSE - Projektportfolio">
	<meta name="keywords" content="TOSE,Pitahaya,Gruppenarbeit,Projektportfolio">
	<link href="/css/pitahaya.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/css/pitahaya-form.css" rel="stylesheet" type="text/css" media="all" />
	<title>Test</title>
</head>

<body>
<div id="page" class="container">
	<div id="header">
		<div id="logo">
			<a href="/index"><img src="/images/pitahaya.jpg" alt="Pitahaya Bild" height="80" width="80"></a>
			<h5>Pitahaya PPM</h5>
			<br>
			<span th:text="${session_user}"></span>
         	<a href="/logout"><img src="/images/shutdown-button.png" width="16" height="16" align="middle"></a>
		</div>
		<div id="menu">
			<ul>
				<li><a href="/index">Startseite</a>
				<li><a href="/profil">Mein Profil</a>
				<li class="current_page_item"><a href="/projekte">Projekt&uuml;bersicht</a></li>
				<li><a href="/sites/kontakt.html">Kontakt</a>
				</li>
			</ul>
		</div>
	</div>
	<div id="main">
		<div id="welcome">
			<div class="title">
				<h2>Projektmitarbeiter erfassen</h2>
				<hr>
            </div>
    <!-- Auswahl der Rolle für den User der erfasst werden soll für das Projekt-->       
            <span class="byline">Bitte wählen Sie alle Felder aus.</span>
			<form action="#" th:action="${postAction}" method="post" th:object="${employeeDetail}">
				<input type="hidden" name="employeeDetail.project" th:value="${projectId}" /> 
				<div class="errormsg">
					<span th:text="${error}"></span>
				</div> 
				<div class="col-3 field">
					 <select name="employeeDetail.role" style="width: 320px; height: 30px; font-size: 20px;">
						<option value="" selected>Bitte die Rolle auswählen</option>
								  <option th:if="${employeeDetail.role != null}"
									  th:each="role: ${roleList}"
									  th:value="${role.id}"
									  th:utext="${role.rolename}"
									  th:selected="${employeeDetail.role.rolename}==${role.rolename}" />
								  <option th:if="${employeeDetail.role == null}"
									  th:each="role: ${roleList}"
									  th:value="${role.id}"
									  th:utext="${role.rolename}" />
					</select>			
				</div>
    <!-- Auswahl des Users für das Projekt mit entsprechender Rolle-->      
				<div class="col-3 field">
					<select name="employeeDetail.user" style="width: 320px; height: 30px; font-size: 20px;">
						<option value="" selected>Bitte den User auswählen</option>
							<option th:if="${employeeDetail.user != null}"
							  th:each="user: ${userList}"
							  th:value="${user.id}"
							  th:utext="${user.username}"
							  th:selected="${employeeDetail.user.username}==${user.username}" />
							<option th:if="${employeeDetail.user == null}"
							  th:each="user: ${userList}"
							  th:value="${user.id}"
							  th:utext="${user.username}" />
					</select>			
				</div>
	  			<input type="submit" class="button" align="center" value="Projektmitarbeiter erfassen">	
            </form>
		</div>
	</div>
</div>
</body>
<footer>
	<div id="copyright2">
		<span>&copy; Pitahaya </span>		
	</div>
</footer>
</html>